; these two lines at least should be included at the top of every script file you create.
include "HJConst.jsh"
include "HJGlobal.jsh"
; Now we need to link to the default Word scripts so the user has access to the regular functionality.
use "Word.jsb"

; Now we need a dummy function at least to kick things off.


Function AutoStartEvent ()
; this function should be used in the event you need to trigger code when the application gains focus.



EndFunction




Script TypeAddress ()
; assigned to control shift A.
Saystring ("Please wait")
{control+e}
pause ()
{control+b}
pause ()
TypeString ("Brian Hartgen")
pause ()
{enter}
TypeString ("22 Forest Road")
pause ()
{enter}
pause ()
TypeString ("London")
pause ()
{enter}
pause ()
TypeString ("EC1V 7JE")
pause ()
{enter}
pause ()
{enter}
pause ()
TypeString ("Telephone: 0208-987-6543")
pause ()
{enter}
pause ()
{enter}
pause ()
{control+b}
pause ()
{control+l}
pause ()
Saystring ("Ready")

EndScript

Script SayNumberOfWords ()
; assigned to control shift W.
var
string SNumberOfWords
SayUsingVoice (VCTX_Message, "Please Wait", ot_user_requested_information)
SpeechOff ()
{alt+t}
pause ()
{w}
delay (5) ; wait for that dialog box to be drawn, sometimes it takes a while.
JAWSCursor () ; we are using the jaws cursor because we want to close the dialog later with a left mouse click.
RouteJAWSToPC ()
FindString (GetFocus(), "Words", s_top, s_unrestricted, true) ; Don't forget the capitalisation of "Words" because that is how it is presented on the screen and we want jaws to find it.
NextWord () ; getting to where the figure is that we want.
let SNumberOfWords = GetWord ()
; OK we've got it, lets get out.
FindString (GetFocus(), "Close", s_bottom, s_unrestricted, true)
LeftMouseButton ()
pause ()
PCCursor ()
pause ()
Speechon ()
; now lets examine what we've got.
if SNumberOfWords == "0" then ; there's nothing here.
if GetVerbosity ()== "Beginner" then ; a more lengthy explanation is required.
SayUsingVoice (VCTX_Message, "The document is empty", ot_user_requested_information)
else ; lets condense the output
SayUsingVoice (VCTX_Message, "empty", ot_user_requested_information)
EndIf ; end of initial verbosity check for no words.
elif SNumberOfWords == "1" then  ; there is only one word
if GetVerbosity ()== "Beginner" then ; a more lengthy explanation is required.
SayUsingVoice (VCTX_Message, "There is one word in this document", ot_user_requested_information)
else ; lets condense the output
SayUsingVoice (VCTX_Message, "One word", ot_user_requested_information)
EndIf ; end of initial verbosity check for 1 word.
else ; we want the true number of words here so we will speak whatever is in the string.
if GetVerbosity ()== "Beginner" then ; a more lengthy explanation is required.
; take note of spacing here.
SayUsingVoice (VCTX_Message, "There are "+SNumberOfWords+" words in this document", ot_user_requested_information)
else ; lets condense the output
SayUsingVoice (VCTX_Message, SNumberOfWords+" words", ot_user_requested_information)
EndIf ; end of initial verbosity check for several words.
EndIf ; end of string analysis


EndScript
